# Create Podscan Search Feed

## User Intent

"How do I search for podcast episodes using Podscan? Show me podcast search feed configuration."

**Note**: Podscan API key is not required. Graphlit provides Podscan access by default and bills you for usage.

## Operation

**SDK Method**: `createFeed()` with FeedTypes.Search\
**Auth**: None required (Graphlit provides Podscan access, bills you for usage)

***

## Code Example (TypeScript)

```typescript
import { Graphlit } from 'graphlit-client';
import { FeedTypes, SearchServiceTypes } from 'graphlit-client/dist/generated/graphql-types';

const graphlit = new Graphlit();

const feed = await graphlit.createFeed({
  name: 'AI Podcast Episodes',
  type: FeedTypes.Search,
  search: {
    type: SearchServiceTypes.Podscan,
    text: 'artificial intelligence machine learning',
    readLimit: 25,
  },
  // Optional: add workflow for content processing
  // workflow: { id: workflow.createWorkflow.id }
});

console.log(`Created Podscan feed: ${feed.createFeed.id}`);
```

***

## Configuration

**text**: Podcast topic search query\
**readLimit**: Number of podcast episodes per execution\
**type**: `SearchServiceTypes.Podscan`

***

## What Gets Indexed

* Podcast episode titles and descriptions
* Episode transcripts (when available)
* Show names and hosts
* Publication dates
* Audio file URLs

***

## Use Cases

**Topic Monitoring**:

```typescript
text: 'startup fundraising venture capital'
```

**Guest Appearances**:

```typescript
text: 'Sam Altman OpenAI'
```

**Industry News**:

```typescript
text: 'cryptocurrency regulation 2024'
```

**Interview Research**:

```typescript
text: 'YC founders growth strategies'
```

**Competitive Intelligence**:

```typescript
text: 'mentions of CompanyName product'
```

***

## What Makes Podscan Special

**Podcast-Specific**: Only searches podcast content, not general web\
**Transcript Search**: Finds mentions within episode transcripts\
**Guest Tracking**: Discover podcast appearances by specific people\
**Show Monitoring**: Track mentions of topics across all podcasts

***

## Search Tips

**Be specific about topics**:

* ✅ "enterprise SaaS go-to-market strategy"
* ❌ "business"

**Don't include "podcast" or "episode"**:

* ✅ "climate tech startups"
* ❌ "climate tech startups podcast episode"

**Person names work great**:

* ✅ "Jensen Huang NVIDIA"
* ✅ "Patrick Collison Stripe"

***

## Related

* [YouTube Feed](/api-guides/use-cases/feeds/social-media/feed-create-youtube.md) - Video content
* [RSS Feed](/api-guides/use-cases/feeds/web/feed-create-rss.md) - Podcast RSS feeds
* [Exa Search](/api-guides/use-cases/feeds/web/feed-create-exa-search.md) - Web content search


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.graphlit.dev/api-guides/use-cases/feeds/web/feed-create-podscan-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
